/*
 * fixed_size_vector.h
 */

template<typename T, unsigned int N>
struct fixed_size_vector 
{
   // Types

   T elems_[N];

   // Construct/copy/destroy

   void fill(const T& u);

   void swap(fixed_size_vector<T, N>& other);

   // Iterators

   // Capacity

   // Element access

};

template<typename T, size_t N >
void
swap(fixed_size_vector<T, N>& x, fixed_size_vector<T, N>& y);

// Comparisons (==, !=, <, >, <=, >=)
